Loading...
Searching...
No Matches
dolfin::LocalMeshData::Topology Struct Reference

Holder for topology data. More...

`#include <LocalMeshData.h>`

## Public Member Functions

| Topology ()
| Constructor.
void | clear ()
| Clear data.
void | unpack_cell_vertices (const std::vector< std::int64_t > &values)
| Unpack received cell vertices.

## Public Attributes

int | dim
| Topological dimension.
std::int64_t | num_global_cells
| Global number of cells.
int | num_vertices_per_cell
| Number of vertices per cell.
boost::multi_array< std::int64_t, 2 > | cell_vertices
| Global vertex indices for all cells stored on local processor.
std::vector< std::int64_t > | global_cell_indices
| Global cell numbers for all cells stored on local processor.
std::vector< int > | cell_partition
| Optional process owner for each cell in global_cell_indices.
std::vector< std::size_t > | cell_weight
| Optional weight for each cell for partitioning.
CellType::Type | cell_type
| Cell type.

## Detailed Description

Holder for topology data.

The documentation for this struct was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/LocalMeshData.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/LocalMeshData.cpp